## incus 6.14.0

=== debian/changelog ===
incus (6.14.0-1~exp1) experimental; urgency=medium

  * New upstream feature release
    - Add dependency for running OCI (docker) images
    - Update logic for building incus-agent binaries, including ones for
      Windows
    - Update Build-Depends and Depends
    - Drop patches applied upstream
    - Rebase d/p/002-adjust-import-paths.patch

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 27 Jun 2025 17:30:50 +0000

incus (6.0.4-3) UNRELEASED; urgency=medium

  * Document packaging policy for LTS and Feature releases
  * d/control:
    - Limit VM dependencies to supported host architectures: amd64, arm64,
      ppc64el, and s390x
    - Update Build-Depends and Depends
    - Don't Suggest ceph-common for 32bit architectures
  * Update d/README.Debian

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 01 Jun 2025 03:16:35 +0000
