=== debian/control ===
--- 
+++ 
@@ -55,8 +55,8 @@
                golang-github-spf13-cobra-dev,
                golang-github-spf13-pflag-dev,
                golang-github-stretchr-testify-dev,
-               golang-github-vishvananda-netlink-dev,
-               golang-github-zitadel-oidc-dev (>= 3.0),
+               golang-github-vishvananda-netlink-dev (>= 1.3.1),
+               golang-github-zitadel-oidc-dev (>= 3.44.0),
                golang-golang-x-crypto-dev,
                golang-golang-x-exp-dev,
                golang-golang-x-oauth2-dev,
@@ -134,8 +134,8 @@
          golang-github-spf13-cobra-dev,
          golang-github-spf13-pflag-dev,
          golang-github-stretchr-testify-dev,
-         golang-github-vishvananda-netlink-dev,
-         golang-github-zitadel-oidc-dev (>= 3.0),
+         golang-github-vishvananda-netlink-dev (>= 1.3.1),
+         golang-github-zitadel-oidc-dev (>= 3.44.0),
          golang-golang-x-crypto-dev,
          golang-golang-x-exp-dev,
          golang-golang-x-oauth2-dev,
@@ -150,6 +150,7 @@
          golang-k8s-utils-dev,
          golang-starlark-dev (>= 0.0~git20240725.42030a7),
          ${misc:Depends}
+Breaks: distrobuilder (<< 3.2-3)
 Description: Powerful system container and virtual machine manager - library
  Incus is a next generation system container and virtual machine manager.
  It offers a unified user experience around full Linux systems running
@@ -268,4 +269,3 @@
  .
  This package contains extra tools provided with Incus.
   - fuidshift - A tool to map/unmap filesystem uids/gids
-  - lxc-to-incus - A tool to migrate LXC containers to Incus
