=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-any (>= 2:1.23~),
+               golang-any (>= 2:1.24~),
                golang-github-adhocore-gronx-dev,
                golang-github-apex-log-dev,
                golang-github-armon-go-proxyproto-dev,
@@ -42,7 +42,7 @@
                golang-github-miekg-dns-dev,
                golang-github-minio-minio-go-v7-dev,
                golang-github-mitchellh-mapstructure-dev,
-               golang-github-olekukonko-tablewriter-dev,
+               golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
                golang-github-opencontainers-specs-dev,
                golang-github-openfga-go-sdk-dev (>= 0.6.0),
                golang-github-opensuse-umoci-dev (>= 0.5.0+ds-1~),
@@ -121,7 +121,7 @@
          golang-github-miekg-dns-dev,
          golang-github-minio-minio-go-v7-dev,
          golang-github-mitchellh-mapstructure-dev,
-         golang-github-olekukonko-tablewriter-dev,
+         golang-github-olekukonko-tablewriter-dev (>= 1.0.9),
          golang-github-opencontainers-specs-dev,
          golang-github-openfga-go-sdk-dev (>= 0.6.0),
          golang-github-opensuse-umoci-dev (>= 0.5.0+ds-1~),
