=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                golang-github-adhocore-gronx-dev,
                golang-github-apex-log-dev,
                golang-github-armon-go-proxyproto-dev,
-               golang-github-cenkalti-backoff-dev,
+               golang-github-cenkalti-backoff-v4-dev,
                golang-github-checkpoint-restore-go-criu-dev (>= 7),
                golang-github-cowsql-go-cowsql-dev,
                golang-github-digitalocean-go-smbios-dev,
@@ -47,15 +47,17 @@
                golang-github-openfga-go-sdk-dev (>= 0.6.0),
                golang-github-opensuse-umoci-dev (>= 0.5.0+ds-1~),
                golang-github-osrg-gobgp-dev (>= 3.10.0),
-               golang-github-ovn-org-libovsdb-dev,
+               golang-github-ovn-kubernetes-libovsdb-dev,
                golang-github-pierrec-lz4-dev (>= 4.1.18),
                golang-github-pkg-sftp-dev,
                golang-github-pkg-xattr-dev,
+               golang-github-shirou-gopsutil-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cobra-dev,
                golang-github-spf13-pflag-dev,
                golang-github-stretchr-testify-dev,
                golang-github-vishvananda-netlink-dev (>= 1.3.1),
+               golang-github-yusufpapurcu-wmi-dev,
                golang-github-zitadel-oidc-dev (>= 3.44.0),
                golang-golang-x-crypto-dev,
                golang-golang-x-exp-dev,
@@ -69,6 +71,7 @@
                golang-gopkg-lxc-go-lxc.v2-dev,
                golang-gopkg-yaml.v2-dev,
                golang-k8s-utils-dev,
+               golang-sslmate-src-go-pkcs12-dev,
                golang-starlark-dev (>= 0.0~git20240725.42030a7),
                help2man,
                libacl1-dev,
@@ -88,7 +91,7 @@
 Depends: golang-github-adhocore-gronx-dev,
          golang-github-apex-log-dev,
          golang-github-armon-go-proxyproto-dev,
-         golang-github-cenkalti-backoff-dev,
+         golang-github-cenkalti-backoff-v4-dev,
          golang-github-checkpoint-restore-go-criu-dev (>= 7),
          golang-github-cowsql-go-cowsql-dev,
          golang-github-digitalocean-go-smbios-dev,
@@ -125,15 +128,17 @@
          golang-github-openfga-go-sdk-dev (>= 0.6.0),
          golang-github-opensuse-umoci-dev (>= 0.5.0+ds-1~),
          golang-github-osrg-gobgp-dev (>= 3.10.0),
-         golang-github-ovn-org-libovsdb-dev,
+         golang-github-ovn-kubernetes-libovsdb-dev,
          golang-github-pierrec-lz4-dev (>= 4.1.18),
          golang-github-pkg-sftp-dev,
          golang-github-pkg-xattr-dev,
+         golang-github-shirou-gopsutil-dev,
          golang-github-sirupsen-logrus-dev,
          golang-github-spf13-cobra-dev,
          golang-github-spf13-pflag-dev,
          golang-github-stretchr-testify-dev,
          golang-github-vishvananda-netlink-dev (>= 1.3.1),
+         golang-github-yusufpapurcu-wmi-dev,
          golang-github-zitadel-oidc-dev (>= 3.44.0),
          golang-golang-x-crypto-dev,
          golang-golang-x-exp-dev,
@@ -147,6 +152,7 @@
          golang-gopkg-lxc-go-lxc.v2-dev,
          golang-gopkg-yaml.v2-dev,
          golang-k8s-utils-dev,
+         golang-sslmate-src-go-pkcs12-dev,
          golang-starlark-dev (>= 0.0~git20240725.42030a7),
          ${misc:Depends}
 Breaks: distrobuilder (<< 3.2-3)
@@ -262,9 +268,3 @@
 # lxd-tools also ships a `fuidshift` binary; we expect src:lxd to be RM'ed after the trixie release, so just use a simple Conflicts here
 Conflicts: lxd-tools
 Description: Powerful system container and virtual machine manager - extra tools
- Incus is a next generation system container and virtual machine manager.
- It offers a unified user experience around full Linux systems running
- inside containers or virtual machines.
- .
- This package contains extra tools provided with Incus.
-  - fuidshift - A tool to map/unmap filesystem uids/gids
