## incus 6.21.0

=== Makefile ===
--- 
+++ 
@@ -94,14 +94,14 @@
 	exit 1
 endif
 	$(GO) get -t -v -u ./...
-	$(GO) mod tidy --go=1.24.7
+	$(GO) mod tidy --go=1.24.12
 	$(GO) get toolchain@none
 
 	@echo "Dependencies updated"
 
 .PHONY: update-ovsdb
 update-ovsdb:
-	go install github.com/ovn-org/libovsdb/cmd/modelgen@main
+	go install github.com/ovn-kubernetes/libovsdb/cmd/modelgen@main
 
 	rm -Rf internal/server/network/ovs/schema
 	mkdir internal/server/network/ovs/schema
@@ -314,6 +314,10 @@
 	echo "Please install codespell"
 	exit 1
 endif
+ifeq ($(shell command -v run-parts),)
+	echo "Please install run-parts"
+	exit 1
+endif
 	flake8 test/deps/import-busybox
 	shellcheck --shell sh test/*.sh test/includes/*.sh test/suites/*.sh test/backends/*.sh test/lint/*.sh
 	shellcheck test/extras/*.sh
@@ -340,5 +344,3 @@
 
 # OpenFGA Syntax Transformer: https://github.com/openfga/syntax-transformer
 .PHONY: update-openfga
-update-openfga:
-ifeq ($(shell command -v fga),)
