=== doc/.sphinx/requirements.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+docutils<0.22
 furo
 gitpython
 linkify-it-py
