=== debian/changelog ===
incus (6.21.0-1~exp1) experimental; urgency=medium

  * New upstream feature release:
    - Includes fixes for CVE-2026-23953 and CVE-2026-23954
    - Update IncusOS network struct and cli patch
  * Update Build-Depends and Depends in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 23 Jan 2026 14:16:05 +0000

incus (6.0.5-8) unstable; urgency=high

  * Cherry-pick fixes for the following security issues:
    - CVE-2026-23953 / GHSA-x6jc-phwx-hp32
    - CVE-2026-23954 / GHSA-7f67-crqm-jgh7
  * d/control:
    - Update Standards-Version to 4.7.3, drop Priority field
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 22 Jan 2026 04:04:24 +0000
