=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Free Ekanayaka <freee@debian.org>, Mathias Gibbens <gibmat@debian.org>
 Section: admin
 Testsuite: autopkgtest-pkg-go
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any (>= 2:1.24~),
@@ -49,6 +48,7 @@
                golang-github-osrg-gobgp-dev (>= 3.10.0),
                golang-github-ovn-kubernetes-libovsdb-dev,
                golang-github-pierrec-lz4-dev (>= 4.1.18),
+               golang-github-pires-go-proxyproto-dev,
                golang-github-pkg-sftp-dev,
                golang-github-pkg-xattr-dev,
                golang-github-shirou-gopsutil-dev,
@@ -78,7 +78,7 @@
                libcap-dev,
                dh-sequence-runit
 Build-Conflicts: golang-github-golang-protobuf-1-3-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/incus
 Vcs-Git: https://salsa.debian.org/go-team/packages/incus.git
 Homepage: https://linuxcontainers.org/incus/
@@ -130,6 +130,7 @@
          golang-github-osrg-gobgp-dev (>= 3.10.0),
          golang-github-ovn-kubernetes-libovsdb-dev,
          golang-github-pierrec-lz4-dev (>= 4.1.18),
+         golang-github-pires-go-proxyproto-dev,
          golang-github-pkg-sftp-dev,
          golang-github-pkg-xattr-dev,
          golang-github-shirou-gopsutil-dev,
@@ -267,4 +268,3 @@
           incus-migrate (<< 6.0.3-3~)
 # lxd-tools also ships a `fuidshift` binary; we expect src:lxd to be RM'ed after the trixie release, so just use a simple Conflicts here
 Conflicts: lxd-tools
-Description: Powerful system container and virtual machine manager - extra tools
