## incus 6.22.0

=== Makefile ===
--- 
+++ 
@@ -94,7 +94,7 @@
 	exit 1
 endif
 	$(GO) get -t -v -u ./...
-	$(GO) mod tidy --go=1.24.12
+	$(GO) mod tidy --go=1.25.0
 	$(GO) get toolchain@none
 
 	@echo "Dependencies updated"
@@ -344,3 +344,4 @@
 
 # OpenFGA Syntax Transformer: https://github.com/openfga/syntax-transformer
 .PHONY: update-openfga
+update-openfga:
