=== debian/changelog ===
incus (6.22.0-1~exp1) experimental; urgency=medium

  * New upstream feature release:
    - Build MacOS version of incus-agent
    - Rebase patches as needed
    - Update IncusOS network struct and cli patch
  * Update Build-Depends and Depends in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 28 Feb 2026 15:26:15 +0000
