=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
                golang-any (>= 2:1.24~),
                golang-github-adhocore-gronx-dev,
                golang-github-apex-log-dev,
-               golang-github-armon-go-proxyproto-dev,
                golang-github-cenkalti-backoff-v4-dev,
                golang-github-checkpoint-restore-go-criu-dev (>= 7),
                golang-github-cowsql-go-cowsql-dev,
                golang-github-digitalocean-go-smbios-dev,
                golang-github-dustinkirkland-golang-petname-dev,
+               golang-github-ebitengine-purego-dev,
                golang-github-flosch-pongo2.v6-dev,
+               golang-github-futurfusion-vsock-dev,
                golang-github-fvbommel-sortorder-dev,
                golang-github-go-chi-chi-dev,
                golang-github-go-jose-go-jose-dev,
@@ -70,6 +71,7 @@
                golang-google-protobuf-dev,
                golang-gopkg-lxc-go-lxc.v2-dev,
                golang-gopkg-yaml.v2-dev,
+               golang-gopkg-yaml.v3-dev,
                golang-k8s-utils-dev,
                golang-sslmate-src-go-pkcs12-dev,
                golang-starlark-dev (>= 0.0~git20240725.42030a7),
@@ -90,13 +92,14 @@
 Section: golang
 Depends: golang-github-adhocore-gronx-dev,
          golang-github-apex-log-dev,
-         golang-github-armon-go-proxyproto-dev,
          golang-github-cenkalti-backoff-v4-dev,
          golang-github-checkpoint-restore-go-criu-dev (>= 7),
          golang-github-cowsql-go-cowsql-dev,
          golang-github-digitalocean-go-smbios-dev,
          golang-github-dustinkirkland-golang-petname-dev,
+         golang-github-ebitengine-purego-dev,
          golang-github-flosch-pongo2.v6-dev,
+         golang-github-futurfusion-vsock-dev,
          golang-github-fvbommel-sortorder-dev,
          golang-github-go-chi-chi-dev,
          golang-github-go-jose-go-jose-dev,
@@ -152,6 +155,7 @@
          golang-google-protobuf-dev,
          golang-gopkg-lxc-go-lxc.v2-dev,
          golang-gopkg-yaml.v2-dev,
+         golang-gopkg-yaml.v3-dev,
          golang-k8s-utils-dev,
          golang-sslmate-src-go-pkcs12-dev,
          golang-starlark-dev (>= 0.0~git20240725.42030a7),
@@ -266,5 +270,3 @@
         incus-migrate (<< 6.0.3-3~)
 Replaces: incus-tools (<< 6.0.3-3~),
           incus-migrate (<< 6.0.3-3~)
-# lxd-tools also ships a `fuidshift` binary; we expect src:lxd to be RM'ed after the trixie release, so just use a simple Conflicts here
-Conflicts: lxd-tools
